%% Load data from the file TOUGHout_2Daxi...

if exist('out.mat')==2 && exist('mesh_conne.mat')==2
    load out
else
    [out times]=READ_DATA('TOUGHout_2Daxi','Compute Flow');
    save out out times
end

%% load mesh data already saved by READ_DATA

load mesh_conne

X=Coor{1,1};
Z=Coor{1,2};

[Xcoord,Zcoord]=meshgrid(X,Z);

%% Let's plot the temperature at the final time printout:
% the simulation resulted in 16 printout in the output
% the final is the out{1,16}
% the variable temperature is the column number 4
% see ReadMe file for more infos on loading the data

Temperature=out{1,16}(:,4);
x_mesh=out{1,1}(:,1); % also val{1,1} can be used from file mesh_conne.mat
z_mesh=out{1,1}(:,2); % also val{1,3} can be used from file mesh_conne.mat

var_image=griddata(x_mesh,z_mesh,Temperature,Xcoord,Zcoord);

%%

figure(1)
contourf(X,Z,var_image)
axis image
set(gca,'YDir','normal','XLim',[0 1500])
colorbar
xlabel('X (m)')
ylabel('Z (m)')
title('Temperature')

%% Refining the mesh and using command image for plotting
% invcluding fluid flow vectors

xlin=linspace(min(X),1500,300); %linear spacing betwwen min(X) and 1500 m
zlin=linspace(min(Z),max(Z),300); %linear spacing on depth

[Xcoord,Zcoord]=meshgrid(xlin,zlin);

var_image=griddata(x_mesh,z_mesh,Temperature,Xcoord,Zcoord);

figure(2)
image(xlin,zlin,var_image,'Cdatamapping','scaled')
axis image
set(gca,'YDir','normal','XLim',[0 1500])
colorbar
xlabel('X (m)')
ylabel('Z (m)')
title('Temperature')

%% including fluid flow vectors

fax=out{1,16}(:,21); % water flow x-direction
faz=out{1,16}(:,22); % water flow z-directio

xlin2=linspace(min(X),1500,35); %linear spacing x-dir but with only 35 points
zlin2=linspace(min(Z),max(Z),35); %linear spacing z-dir but with only 35 points

[Xcoord2,Zcoord2]=meshgrid(xlin2,zlin2);

FAx=griddata(x_mesh,z_mesh,fax,Xcoord2,Zcoord2);
FAz=griddata(x_mesh,z_mesh,faz,Xcoord2,Zcoord2);

figure(3)
image(xlin,zlin,var_image,'Cdatamapping','scaled')
hold on
quiver(xlin2,zlin2,FAx,FAz,'MaxHeadSize',0.5,'LineWidth',1, ...
        'Color','k','AutoscaleFactor',1.5);
    
axis image
set(gca,'YDir','normal','XLim',[0 1500])
colorbar
xlabel('X (m)')
ylabel('Z (m)')
title('Temperature')


