%% Load data from the file TOUGHout_2Dirr...

if exist('out.mat')==2 && exist('mesh_data.mat')==2
    load out
else
    [out times]=READ_DATA('TOUGHout_2Dirr');
    save out out times
end

%% load mesh data already saved by READ_DATA

load mesh_data

%Note that a 2D plane-grid in TOUGH2 is simply a 3D mesh with 1 single
%element in a chosen direction (Y in the currente example), then the reader
%will read the mesh as a 3D, and still assign the values for X, Y, and Z,
%but in this case Y as dimension 1!
%Since is an irregular grid, The following three variables are useless and
%can be maybe used only to get the max and min values in a direction
X=Coor{1,1};
Y=Coor{1,2};
Z=Coor{1,3};


%% Let's plot the pressure:
% the simulation resulted in 5 printouts, the out is a 1x5 cell
% the variable pressure is the column number 4
% see ReadMe file for more infos on loading the data

Pressure=out{1,5}(:,4);
x_mesh=out{1,5}(:,1); % also val{1,1} can be used from file mesh_data.mat
y_mesh=out{1,5}(:,2); % also val{1,2} can be used from file mesh_data.mat
z_mesh=out{1,5}(:,3)-1500; % also val{1,3} can be used from file mesh_data.mat
                           % rescaled to represent the injection depth. The
                           % TOUGH2 mesh range from -1000 to 1000, while
                           % initial and boundary condition are set fro
                           % domane -2500 to -500


%% Plotting:
% we need to refine the meshgrid for plotting only (same as 2Daxisymmetric
% example)

xlin=linspace(min(X),max(X),300); %linear spacing betwwen min(X) and max(X)
zlin=linspace(min(Z),max(Z),300)-1500; %linear spacing between min(Y) and max(Y)

[Xcoord,Zcoord]=meshgrid(xlin,zlin);

var_image=griddata(x_mesh,z_mesh,Pressure/1.e6,Xcoord,Zcoord);

figure(1)
image(xlin/1000,zlin/1000,var_image,'Cdatamapping','scaled')
axis image
set(gca,'YDir','normal')
colorbar
xlabel('X (km)')
ylabel('Y (km)')
title('Pressure (MPa)')

